Gatana logoGatana Docs
RoutesSkills

/skills

List the skills the caller can read and the collections they can see, optionally narrowed to one collection or to a text in the name or description

GET
/skills
AuthorizationBearer <token>

In: header

Query Parameters

query?string

Case-insensitive text matched against the name and the description of each skill

Lengthlength <= 200
collection?string

Name of a collection: only the skills in it

Lengthlength <= 64

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/skills"
{
  "skills": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "visibility": "organization",
      "collectionId": "string",
      "collectionName": "string",
      "contentBytes": 0,
      "createdByUserId": "string",
      "createdByUserName": "string",
      "createdByUserEmail": "string",
      "sharedWithUserIds": [
        "string"
      ],
      "sharedWithTeamIds": [
        "string"
      ],
      "maintainerUserIds": [
        "string"
      ],
      "maintainerTeamIds": [
        "string"
      ],
      "collectionVisibility": "organization",
      "collectionSharedWithUserIds": [
        "string"
      ],
      "collectionSharedWithTeamIds": [
        "string"
      ],
      "collectionMaintainerUserIds": [
        "string"
      ],
      "collectionMaintainerTeamIds": [
        "string"
      ],
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "collections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "visibility": "organization",
      "createdByUserId": "string",
      "createdByUserName": "string",
      "createdByUserEmail": "string",
      "sharedWithUserIds": [
        "string"
      ],
      "sharedWithTeamIds": [
        "string"
      ],
      "maintainerUserIds": [
        "string"
      ],
      "maintainerTeamIds": [
        "string"
      ],
      "skillCount": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}